plugins {
    id 'org.springframework.boot' version '1.4.4.RELEASE'
    id 'java'
    id 'eclipse'
}

sourceCompatibility = 1.8
targetCompatibility = 1.8

jar {
    baseName = 'factoring-trade-prod'
    version = '1.0.3'
}

springBoot {
    mainClass = "com.sunxung.factoring.ApplicationRun"
}

repositories {
	maven{
		url "http://maven.aliyun.com/nexus/content/groups/public/"
	}
    jcenter()
}

configurations {
    compile.exclude module: "spring-boot-starter-logging"
}

dependencies {

	compileOnly('org.projectlombok:lombok:1.18.12')
	annotationProcessor('org.projectlombok:lombok:1.18.2')
	compile('com.auth0:java-jwt:3.8.1')
	compile('com.belerweb:pinyin4j:2.5.1')
	annotationProcessor "org.springframework.boot:spring-boot-configuration-processor"
    compile("org.springframework.boot:spring-boot-starter-web")
    compile("org.springframework.boot:spring-boot-starter-log4j2"){
		exclude module: 'log4j-core'
		exclude module: 'log4j-api'
		exclude module: 'log4j-slf4j-impl'
	}
	/* log4j 依赖升级 */
	compile("org.apache.logging.log4j:log4j-api:2.17.2")
	compile("org.apache.logging.log4j:log4j-core:2.17.2")
	compile("org.apache.logging.log4j:log4j-slf4j-impl:2.17.2")

	/* -pdfbox */
	compile("org.apache.pdfbox:pdfbox:1.8.11")

	/* sql server */
	compile("com.microsoft.sqlserver:sqljdbc4:4.0")
	/* mybatis plus 多数据源 */
	compile("com.baomidou:dynamic-datasource-spring-boot-starter:3.4.0")

	compile("org.springframework.boot:spring-boot-starter-aop")
    compile("org.springframework.boot:spring-boot-starter-websocket")
	compile("org.springframework.boot:spring-boot-starter-mail")
	compile('cn.hutool:hutool-all:5.8.20')
    compile("org.thymeleaf:thymeleaf:3.0.3.RELEASE")
    compile("org.thymeleaf:thymeleaf-spring4:3.0.3.RELEASE")
	/* mybatis-plus 启动依赖 */
	compile("com.baomidou:mybatis-plus-boot-starter:3.4.0")
    compile("mysql:mysql-connector-java:5.1.40")
    compile("com.alibaba:druid:1.0.27")
    compile("com.alibaba:fastjson:1.2.24")
    compile("com.lmax:disruptor:3.3.6")
    compile("org.jodd:jodd-core:3.7.1")
    compile("com.thoughtworks.xstream:xstream:1.4.9")
 	compile("com.belerweb:pinyin4j:2.5.1")
 	compile("com.github.pagehelper:pagehelper-spring-boot-starter:1.3.0")
 	compile("org.quartz-scheduler:quartz:2.2.3")
 	compile("org.springframework:spring-context-support")
 	compile("org.apache.httpcomponents:httpclient:4.5.3")
 	compile("org.apache.httpcomponents:httpcore:4.4.6")
 	compile("org.apache.httpcomponents:httpmime:4.5.3")
 	compile("org.apache.poi:poi:5.2.1")
	compile("org.apache.poi:poi-ooxml:5.2.1")
 	compile("org.apache.poi:poi-scratchpad:5.2.1")
	compile("javax.servlet:javax.servlet-api:3.1.0")
 	compile("redis.clients:jedis:2.9.0")
 	compile("xstream:xstream:1.1.3")
 	compile("org.openoffice:unoil:3.0.1")
 	compile("commons-cli:commons-cli:1.2")
	compile('commons-io:commons-io:2.11.0')
 	compile("org.openoffice:juh:3.0.1")
 	compile("org.openoffice:jurt:3.0.1")
 	compile("org.openoffice:ridl:3.0.1")
 	compile("commons-beanutils:commons-beanutils:1.9.3")
 	compile("cglib:cglib-nodep:3.2.4")
 	compile("org.flowable:flowable-spring-boot-starter:6.3.0")
 	compile("com.lowagie:itext:2.1.7")
 	compile("com.lowagie:itext-rtf:2.1.7")
 	compile("com.itextpdf:itextpdf:5.1.2")
 	compile("com.jfinal:jfinal:3.3")
 	compile("com.itextpdf:itext-asian:5.1.1")
 	compile("org.freemarker:freemarker:2.3.23")
	compile("org.apache.httpcomponents:httpmime:4.5.9")
	compile("org.jsoup:jsoup:1.12.1")
	testImplementation('junit:junit:4.13')

//	compile("commons-io:commons-io:2.6")
	/*
 	compile("fr.opensagres.xdocreport:org.apache.poi.xwpf.converter.core:1.0.5")
 	compile("fr.opensagres.xdocreport:org.apache.poi.xwpf.converter.pdf:1.0.5")
 	compile("fr.opensagres.xdocreport:fr.opensagres.xdocreport.itext.extension:1.0.5")
 	*/
	compile("com.documents4j:documents4j-transformer-msoffice-word:1.1.5")
	compile("com.documents4j:documents4j-local:1.1.5")
	compile("com.deepoove:poi-tl:1.11.1"){
		exclude module : 'poi'
		exclude module : 'poi-ooxml'
		exclude module : 'poi-scratchpad'
	}
    compile('ws.schild:jave-all-deps:3.3.1') {
        exclude group: 'ws.schild', module: 'jave-nativebin-win32'
        exclude group: 'ws.schild', module: 'jave-nativebin-linux32'
        exclude group: 'ws.schild', module: 'jave-nativebin-linux64'
        exclude group: 'ws.schild', module: 'jave-nativebin-osx64'
        exclude group: 'ws.schild', module: 'jave-nativebin-osxm1'
        exclude group: 'ws.schild', module: 'jave-nativebin-linux-arm32'
        exclude group: 'ws.schild', module: 'jave-nativebin-linux-arm64'
    }
    compile('net.coobird:thumbnailator:0.4.20')
 	compile fileTree(dir:'lib',include:"*.jar")
	/*code generated*/
	testCompile group: 'com.baomidou', name: 'mybatis-plus-generator', version: '3.4.0'

	implementation 'net.coobird:thumbnailator:0.4.20'
}

test {
    systemProperties 'property': 'value'
}

uploadArchives {
    repositories {
        flatDir {
            dirs 'repos'
        }
    }
}
